Agda-2.5.2: A dependently typed functional programming language and proof assistant

Safe Haskell | None
Language | Haskell2010

Agda.TypeChecking.Rules.LHS.Instantiate

Synopsis

- instantiateTel :: Substitution -> Telescope -> TCM (Telescope, Permutation, Substitution, [Dom Type])
- nothingToSplitError :: Problem -> TCM a

# Documentation

instantiateTel :: Substitution -> Telescope -> TCM (Telescope, Permutation, Substitution, [Dom Type]) #

Instantiate a telescope with a substitution. Might reorder the telescope. `instantiateTel (Γ : Tel)(σ : Γ --> Γ) = Γσ~` Monadic only for debugging purposes.

nothingToSplitError :: Problem -> TCM a #

Produce a nice error message when splitting failed